// ignore_for_file: public_member_api_docs
@JS("require('firebase-admin').credential")
library firebase_node.admin.interop.credential;

import 'package:js/js.dart';

import '../../utils/es6_interop.dart';
import 'admin_interop.dart';

@JS('Credential')
// ignore: one_member_abstracts
abstract class CredentialJsImpl {
  PromiseJsImpl<GoogleOAuthAccessToken> getAccessToken();
}

external CredentialJsImpl applicationDefault();

external CredentialJsImpl cert(dynamic serviceAccountPathOrObject);

external CredentialJsImpl refreshToken(dynamic refreshTokenPathOrObject);
